Campaigns
List campaign contacts
List contacts enrolled in a campaign with pagination.
GET
/
campaigns
/
{id}
/
contacts
List campaign contacts
curl --request GET \
--url https://api.seamless.ai/api/client/v2/campaigns/{id}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.seamless.ai/api/client/v2/campaigns/{id}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.seamless.ai/api/client/v2/campaigns/{id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"contactId": 123,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"email": "<string>",
"personalEmail": "<string>",
"phone": "<string>",
"title": "<string>",
"department": "<string>",
"seniority": "<string>",
"company": "<string>",
"companyDomain": "<string>",
"companyIndustry": "<string>",
"lIProfileUrl": "<string>",
"contactLocation": {},
"companyLocation": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Numeric campaign ID.
Query Parameters
Maximum number of contacts to return per page. Defaults to 25.
Result offset used to derive the page number (page = floor(offset / limit) + 1).
Free-text filter applied to the contact list.
Was this page helpful?
⌘I
List campaign contacts
